<?php
session_start(); // Initialize session data
ob_start(); // Turn on output buffering
?>
<?php include "ewcfg6.php" ?>
<?php include "ewmysql6.php" ?>
<?php include "phpfn6.php" ?>
<?php include "pv_deltroninfo.php" ?>
<?php include "usuarioinfo.php" ?>
<?php include "userfn6.php" ?>
<?php
header("Expires: Mon, 26 Jul 1997 05:00:00 GMT"); // Date in the past
header("Last-Modified: " . gmdate("D, d M Y H:i:s") . " GMT"); // Always modified
header("Cache-Control: private, no-store, no-cache, must-revalidate"); // HTTP/1.1 
header("Cache-Control: post-check=0, pre-check=0", false);
header("Pragma: no-cache"); // HTTP/1.0
?>
<?php

// Define page object
$pv_deltron_view = new cpv_deltron_view();
$Page =& $pv_deltron_view;

// Page init processing
$pv_deltron_view->Page_Init();

// Page main processing
$pv_deltron_view->Page_Main();
?>
<?php include "header.php" ?>
<?php if ($pv_deltron->Export == "") { ?>
<script type="text/javascript">
<!--

// Create page object
var pv_deltron_view = new ew_Page("pv_deltron_view");

// page properties
pv_deltron_view.PageID = "view"; // page ID
var EW_PAGE_ID = pv_deltron_view.PageID; // for backward compatibility

// extend page with Form_CustomValidate function
pv_deltron_view.Form_CustomValidate = 
 function(fobj) { // DO NOT CHANGE THIS LINE!

 	// Your custom validation code here, return false if invalid. 
 	return true;
 }
<?php if (EW_CLIENT_VALIDATE) { ?>
pv_deltron_view.ValidateRequired = true; // uses JavaScript validation
<?php } else { ?>
pv_deltron_view.ValidateRequired = false; // no JavaScript validation
<?php } ?>

//-->
</script>
<script language="JavaScript" type="text/javascript">
<!--

// Write your client script here, no need to add script tags.
// To include another .js script, use:
// ew_ClientScriptInclude("my_javascript.js"); 
//-->

</script>
<?php } ?>
<p><span class="phpmaker">View TABLE: pv deltron
<br><br>
<?php if ($pv_deltron->Export == "") { ?>
<a href="pv_deltronlist.php">Back to List</a>&nbsp;
<?php if ($Security->IsLoggedIn()) { ?>
<a href="<?php echo $pv_deltron->AddUrl() ?>">Add</a>&nbsp;
<?php } ?>
<?php if ($Security->IsLoggedIn()) { ?>
<a href="<?php echo $pv_deltron->EditUrl() ?>">Edit</a>&nbsp;
<?php } ?>
<?php if ($Security->IsLoggedIn()) { ?>
<a href="<?php echo $pv_deltron->CopyUrl() ?>">Copy</a>&nbsp;
<?php } ?>
<?php if ($Security->IsLoggedIn()) { ?>
<a href="<?php echo $pv_deltron->DeleteUrl() ?>">Delete</a>&nbsp;
<?php } ?>
<?php } ?>
</span></p>
<?php $pv_deltron_view->ShowMessage() ?>
<p>
<table cellspacing="0" class="ewGrid"><tr><td class="ewGridContent">
<div class="ewGridMiddlePanel">
<table cellspacing="0" class="ewTable">
<?php if ($pv_deltron->categoria->Visible) { // categoria ?>
	<tr<?php echo $pv_deltron->categoria->RowAttributes ?>>
		<td class="ewTableHeader">categoria</td>
		<td<?php echo $pv_deltron->categoria->CellAttributes() ?>>
<div<?php echo $pv_deltron->categoria->ViewAttributes() ?>><?php echo $pv_deltron->categoria->ViewValue ?></div></td>
	</tr>
<?php } ?>
<?php if ($pv_deltron->codigo->Visible) { // codigo ?>
	<tr<?php echo $pv_deltron->codigo->RowAttributes ?>>
		<td class="ewTableHeader">codigo</td>
		<td<?php echo $pv_deltron->codigo->CellAttributes() ?>>
<div<?php echo $pv_deltron->codigo->ViewAttributes() ?>><?php echo $pv_deltron->codigo->ViewValue ?></div></td>
	</tr>
<?php } ?>
<?php if ($pv_deltron->nombre->Visible) { // nombre ?>
	<tr<?php echo $pv_deltron->nombre->RowAttributes ?>>
		<td class="ewTableHeader">nombre</td>
		<td<?php echo $pv_deltron->nombre->CellAttributes() ?>>
<div<?php echo $pv_deltron->nombre->ViewAttributes() ?>><?php echo $pv_deltron->nombre->ViewValue ?></div></td>
	</tr>
<?php } ?>
<?php if ($pv_deltron->stockDT->Visible) { // stockDT ?>
	<tr<?php echo $pv_deltron->stockDT->RowAttributes ?>>
		<td class="ewTableHeader">stock DT</td>
		<td<?php echo $pv_deltron->stockDT->CellAttributes() ?>>
<div<?php echo $pv_deltron->stockDT->ViewAttributes() ?>><?php echo $pv_deltron->stockDT->ViewValue ?></div></td>
	</tr>
<?php } ?>
<?php if ($pv_deltron->prDT->Visible) { // prDT ?>
	<tr<?php echo $pv_deltron->prDT->RowAttributes ?>>
		<td class="ewTableHeader">pr DT</td>
		<td<?php echo $pv_deltron->prDT->CellAttributes() ?>>
<div<?php echo $pv_deltron->prDT->ViewAttributes() ?>><?php echo $pv_deltron->prDT->ViewValue ?></div></td>
	</tr>
<?php } ?>
<?php if ($pv_deltron->precio_s->Visible) { // precio_s ?>
	<tr<?php echo $pv_deltron->precio_s->RowAttributes ?>>
		<td class="ewTableHeader">precio s</td>
		<td<?php echo $pv_deltron->precio_s->CellAttributes() ?>>
<div<?php echo $pv_deltron->precio_s->ViewAttributes() ?>><?php echo $pv_deltron->precio_s->ViewValue ?></div></td>
	</tr>
<?php } ?>
<?php if ($pv_deltron->garantia->Visible) { // garantia ?>
	<tr<?php echo $pv_deltron->garantia->RowAttributes ?>>
		<td class="ewTableHeader">garantia</td>
		<td<?php echo $pv_deltron->garantia->CellAttributes() ?>>
<div<?php echo $pv_deltron->garantia->ViewAttributes() ?>><?php echo $pv_deltron->garantia->ViewValue ?></div></td>
	</tr>
<?php } ?>
<?php if ($pv_deltron->marca->Visible) { // marca ?>
	<tr<?php echo $pv_deltron->marca->RowAttributes ?>>
		<td class="ewTableHeader">marca</td>
		<td<?php echo $pv_deltron->marca->CellAttributes() ?>>
<div<?php echo $pv_deltron->marca->ViewAttributes() ?>><?php echo $pv_deltron->marca->ViewValue ?></div></td>
	</tr>
<?php } ?>
</table>
</div>
</td></tr></table>
<p>
<?php if ($pv_deltron->Export == "") { ?>
<script language="JavaScript" type="text/javascript">
<!--

// Write your table-specific startup script here
// document.write("page loaded");
//-->

</script>
<?php } ?>
<?php include "footer.php" ?>
<?php

//
// Page Class
//
class cpv_deltron_view {

	// Page ID
	var $PageID = 'view';

	// Table Name
	var $TableName = 'pv_deltron';

	// Page Object Name
	var $PageObjName = 'pv_deltron_view';

	// Page Name
	function PageName() {
		return ew_CurrentPage();
	}

	// Page Url
	function PageUrl() {
		$PageUrl = ew_CurrentPage() . "?";
		global $pv_deltron;
		if ($pv_deltron->UseTokenInUrl) $PageUrl .= "t=" . $pv_deltron->TableVar . "&"; // add page token
		return $PageUrl;
	}

	// Message
	function getMessage() {
		return @$_SESSION[EW_SESSION_MESSAGE];
	}

	function setMessage($v) {
		if (@$_SESSION[EW_SESSION_MESSAGE] <> "") { // Append
			$_SESSION[EW_SESSION_MESSAGE] .= "<br>" . $v;
		} else {
			$_SESSION[EW_SESSION_MESSAGE] = $v;
		}
	}

	// Show Message
	function ShowMessage() {
		if ($this->getMessage() <> "") { // Message in Session, display
			echo "<p><span class=\"ewMessage\">" . $this->getMessage() . "</span></p>";
			$_SESSION[EW_SESSION_MESSAGE] = ""; // Clear message in Session
		}
	}

	// Validate Page request
	function IsPageRequest() {
		global $objForm, $pv_deltron;
		if ($pv_deltron->UseTokenInUrl) {

			//IsPageRequest = False
			if ($objForm)
				return ($pv_deltron->TableVar == $objForm->GetValue("t"));
			if (@$_GET["t"] <> "")
				return ($pv_deltron->TableVar == $_GET["t"]);
		} else {
			return TRUE;
		}
	}

	//
	//  Class initialize
	//  - init objects
	//  - open connection
	//
	function cpv_deltron_view() {
		global $conn;

		// Initialize table object
		$GLOBALS["pv_deltron"] = new cpv_deltron();

		// Initialize other table object
		$GLOBALS['usuario'] = new cusuario();

		// Intialize page id (for backward compatibility)
		if (!defined("EW_PAGE_ID"))
			define("EW_PAGE_ID", 'view', TRUE);

		// Initialize table name (for backward compatibility)
		if (!defined("EW_TABLE_NAME"))
			define("EW_TABLE_NAME", 'pv_deltron', TRUE);

		// Open connection to the database
		$conn = ew_Connect();
	}

	// 
	//  Page_Init
	//
	function Page_Init() {
		global $gsExport, $gsExportFile, $pv_deltron;
		global $Security;
		$Security = new cAdvancedSecurity();
		if (!$Security->IsLoggedIn()) $Security->AutoLogin();
		if (!$Security->IsLoggedIn()) {
			$Security->SaveLastUrl();
			$this->Page_Terminate("login.php");
		}

		// Global page loading event (in userfn6.php)
		Page_Loading();

		// Page load event, used in current page
		$this->Page_Load();
	}

	//
	//  Page_Terminate
	//  - called when exit page
	//  - if URL specified, redirect to the URL
	//
	function Page_Terminate($url = "") {
		global $conn;

		// Page unload event, used in current page
		$this->Page_Unload();

		// Global page unloaded event (in userfn*.php)
		Page_Unloaded();

		 // Close Connection
		$conn->Close();

		// Go to URL if specified
		if ($url <> "") {
			ob_end_clean();
			header("Location: $url");
		}
		exit();
	}
	var $lDisplayRecs; // Number of display records
	var $lStartRec;
	var $lStopRec;
	var $lTotalRecs;
	var $lRecRange;
	var $lRecCnt;

	//
	// Page main processing
	//
	function Page_Main() {
		global $pv_deltron;
		$sReturnUrl = "";
		$bMatchRecord = FALSE;
		if ($this->IsPageRequest()) { // Validate request
			if (@$_GET["codigo"] <> "") {
				$pv_deltron->codigo->setQueryStringValue($_GET["codigo"]);
			} else {
				$sReturnUrl = "pv_deltronlist.php"; // Return to list
			}

			// Get action
			$pv_deltron->CurrentAction = "I"; // Display form
			switch ($pv_deltron->CurrentAction) {
				case "I": // Get a record to display
					if (!$this->LoadRow()) { // Load record based on key
						$this->setMessage("No records found"); // Set no record message
						$sReturnUrl = "pv_deltronlist.php"; // No matching record, return to list
					}
			}
		} else {
			$sReturnUrl = "pv_deltronlist.php"; // Not page request, return to list
		}
		if ($sReturnUrl <> "")
			$this->Page_Terminate($sReturnUrl);

		// Render row
		$pv_deltron->RowType = EW_ROWTYPE_VIEW;
		$this->RenderRow();
	}

	// Set up Starting Record parameters based on Pager Navigation
	function SetUpStartRec() {
		global $pv_deltron;
		if ($this->lDisplayRecs == 0)
			return;
		if ($this->IsPageRequest()) { // Validate request			
			if (@$_GET[EW_TABLE_START_REC] <> "") { // Check for "start" parameter
				$this->lStartRec = $_GET[EW_TABLE_START_REC];
				$pv_deltron->setStartRecordNumber($this->lStartRec);
			} elseif (@$_GET[EW_TABLE_PAGE_NO] <> "") {
				$this->nPageNo = $_GET[EW_TABLE_PAGE_NO];
				if (is_numeric($this->nPageNo)) {
					$this->lStartRec = ($this->nPageNo-1)*$this->lDisplayRecs+1;
					if ($this->lStartRec <= 0) {
						$this->lStartRec = 1;
					} elseif ($this->lStartRec >= intval(($this->lTotalRecs-1)/$this->lDisplayRecs)*$this->lDisplayRecs+1) {
						$this->lStartRec = intval(($this->lTotalRecs-1)/$this->lDisplayRecs)*$this->lDisplayRecs+1;
					}
					$pv_deltron->setStartRecordNumber($this->lStartRec);
				}
			}
		}
		$this->lStartRec = $pv_deltron->getStartRecordNumber();

		// Check if correct start record counter
		if (!is_numeric($this->lStartRec) || $this->lStartRec == "") { // Avoid invalid start record counter
			$this->lStartRec = 1; // Reset start record counter
			$pv_deltron->setStartRecordNumber($this->lStartRec);
		} elseif (intval($this->lStartRec) > intval($this->lTotalRecs)) { // Avoid starting record > total records
			$this->lStartRec = intval(($this->lTotalRecs-1)/$this->lDisplayRecs)*$this->lDisplayRecs+1; // Point to last page first record
			$pv_deltron->setStartRecordNumber($this->lStartRec);
		} elseif (($this->lStartRec-1) % $this->lDisplayRecs <> 0) {
			$this->lStartRec = intval(($this->lStartRec-1)/$this->lDisplayRecs)*$this->lDisplayRecs+1; // Point to page boundary
			$pv_deltron->setStartRecordNumber($this->lStartRec);
		}
	}

	// Load row based on key values
	function LoadRow() {
		global $conn, $Security, $pv_deltron;
		$sFilter = $pv_deltron->KeyFilter();

		// Call Row Selecting event
		$pv_deltron->Row_Selecting($sFilter);

		// Load sql based on filter
		$pv_deltron->CurrentFilter = $sFilter;
		$sSql = $pv_deltron->SQL();
		if ($rs = $conn->Execute($sSql)) {
			if ($rs->EOF) {
				$LoadRow = FALSE;
			} else {
				$LoadRow = TRUE;
				$rs->MoveFirst();
				$this->LoadRowValues($rs); // Load row values

				// Call Row Selected event
				$pv_deltron->Row_Selected($rs);
			}
			$rs->Close();
		} else {
			$LoadRow = FALSE;
		}
		return $LoadRow;
	}

	// Load row values from recordset
	function LoadRowValues(&$rs) {
		global $pv_deltron;
		$pv_deltron->categoria->setDbValue($rs->fields('categoria'));
		$pv_deltron->codigo->setDbValue($rs->fields('codigo'));
		$pv_deltron->nombre->setDbValue($rs->fields('nombre'));
		$pv_deltron->stockDT->setDbValue($rs->fields('stockDT'));
		$pv_deltron->prDT->setDbValue($rs->fields('prDT'));
		$pv_deltron->precio_s->setDbValue($rs->fields('precio_s'));
		$pv_deltron->garantia->setDbValue($rs->fields('garantia'));
		$pv_deltron->marca->setDbValue($rs->fields('marca'));
	}

	// Render row values based on field settings
	function RenderRow() {
		global $conn, $Security, $pv_deltron;

		// Call Row_Rendering event
		$pv_deltron->Row_Rendering();

		// Common render codes for all row types
		// categoria

		$pv_deltron->categoria->CellCssStyle = "";
		$pv_deltron->categoria->CellCssClass = "";

		// codigo
		$pv_deltron->codigo->CellCssStyle = "";
		$pv_deltron->codigo->CellCssClass = "";

		// nombre
		$pv_deltron->nombre->CellCssStyle = "";
		$pv_deltron->nombre->CellCssClass = "";

		// stockDT
		$pv_deltron->stockDT->CellCssStyle = "";
		$pv_deltron->stockDT->CellCssClass = "";

		// prDT
		$pv_deltron->prDT->CellCssStyle = "";
		$pv_deltron->prDT->CellCssClass = "";

		// precio_s
		$pv_deltron->precio_s->CellCssStyle = "";
		$pv_deltron->precio_s->CellCssClass = "";

		// garantia
		$pv_deltron->garantia->CellCssStyle = "";
		$pv_deltron->garantia->CellCssClass = "";

		// marca
		$pv_deltron->marca->CellCssStyle = "";
		$pv_deltron->marca->CellCssClass = "";
		if ($pv_deltron->RowType == EW_ROWTYPE_VIEW) { // View row

			// categoria
			$pv_deltron->categoria->ViewValue = $pv_deltron->categoria->CurrentValue;
			$pv_deltron->categoria->CssStyle = "";
			$pv_deltron->categoria->CssClass = "";
			$pv_deltron->categoria->ViewCustomAttributes = "";

			// codigo
			$pv_deltron->codigo->ViewValue = $pv_deltron->codigo->CurrentValue;
			$pv_deltron->codigo->CssStyle = "";
			$pv_deltron->codigo->CssClass = "";
			$pv_deltron->codigo->ViewCustomAttributes = "";

			// nombre
			$pv_deltron->nombre->ViewValue = $pv_deltron->nombre->CurrentValue;
			$pv_deltron->nombre->CssStyle = "";
			$pv_deltron->nombre->CssClass = "";
			$pv_deltron->nombre->ViewCustomAttributes = "";

			// stockDT
			$pv_deltron->stockDT->ViewValue = $pv_deltron->stockDT->CurrentValue;
			$pv_deltron->stockDT->CssStyle = "";
			$pv_deltron->stockDT->CssClass = "";
			$pv_deltron->stockDT->ViewCustomAttributes = "";

			// prDT
			$pv_deltron->prDT->ViewValue = $pv_deltron->prDT->CurrentValue;
			$pv_deltron->prDT->CssStyle = "";
			$pv_deltron->prDT->CssClass = "";
			$pv_deltron->prDT->ViewCustomAttributes = "";

			// precio_s
			$pv_deltron->precio_s->ViewValue = $pv_deltron->precio_s->CurrentValue;
			$pv_deltron->precio_s->CssStyle = "";
			$pv_deltron->precio_s->CssClass = "";
			$pv_deltron->precio_s->ViewCustomAttributes = "";

			// garantia
			$pv_deltron->garantia->ViewValue = $pv_deltron->garantia->CurrentValue;
			$pv_deltron->garantia->CssStyle = "";
			$pv_deltron->garantia->CssClass = "";
			$pv_deltron->garantia->ViewCustomAttributes = "";

			// marca
			$pv_deltron->marca->ViewValue = $pv_deltron->marca->CurrentValue;
			$pv_deltron->marca->CssStyle = "";
			$pv_deltron->marca->CssClass = "";
			$pv_deltron->marca->ViewCustomAttributes = "";

			// categoria
			$pv_deltron->categoria->HrefValue = "";

			// codigo
			$pv_deltron->codigo->HrefValue = "";

			// nombre
			$pv_deltron->nombre->HrefValue = "";

			// stockDT
			$pv_deltron->stockDT->HrefValue = "";

			// prDT
			$pv_deltron->prDT->HrefValue = "";

			// precio_s
			$pv_deltron->precio_s->HrefValue = "";

			// garantia
			$pv_deltron->garantia->HrefValue = "";

			// marca
			$pv_deltron->marca->HrefValue = "";
		}

		// Call Row Rendered event
		$pv_deltron->Row_Rendered();
	}

	// Page Load event
	function Page_Load() {

		//echo "Page Load";
	}

	// Page Unload event
	function Page_Unload() {

		//echo "Page Unload";
	}
}
?>
